<html devsite><head>
    <title>Android 验证启动</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p>
Android 8.0 及更高版本包含验证启动的一个参考实现，名为 Android 验证启动 (AVB) 或验证启动 2.0。AVB 是验证启动的一个版本，它可与 <a href="/devices/architecture/#hidl">Project Treble</a> 架构配合使用，能够将 Android 框架与底层供应商实现分离开来。
</p>
<p>
AVB 与 Android 编译系统集成并通过一行代码（负责生成所有必要的 dm-verity 元数据并进行签名）启用。如需了解详情，请参阅<a href="https://android.googlesource.com/platform/external/avb/+/master/README.md#Build-System-Integration" class="external">编译系统集成</a>。
</p>
<p>AVB 提供 libavb，后者是一个在启动时用于验证 Android 的 C 库。您可以通过以下方式将 libavb 与引导加载程序集成在一起：针对 I/O 实现<a href="https://android.googlesource.com/platform/external/avb/+/master/libavb/avb_ops.h" class="external">特定于平台的功能</a>，提供信任根，并获取/设置回滚保护元数据。
</p>
<p>
AVB 的主要功能包括：针对不同分区委托更新、提供用于对分区进行签名的通用页脚格式，以及防止攻击者回滚到存在漏洞的 Android 版本。
</p>
如需了解实现方面的详细信息，请参阅 <code><a href="https://android.googlesource.com/platform/external/avb/+/master/README.md" class="external">/platform/external/avb/README.md</a></code>。

</body></html>